package main

import "fmt"

func main() {
	fmt.Println("Start")

	targetH := 2.5
	targetL := 1.5
	maxerr := 0.05
	vcc := 8.0

	r1 := 10000.0
	r1highextra := 1000.0 // The pullup resistor

	for r2 := 100.0; r2 < 100000.0; r2 += 100.0 {
		for r3 := 100.0; r3 < 100000.0; r3 += 100.0 {

			r2par := 1.0 / (1.0/(r1+r1highextra) + (1.0 / r2))
			outHigh := vcc * (r3 / (r2par + r3))

			r3par := 1.0 / ((1.0 / r1) + (1.0 / r3))
			outLow := vcc * (r3par / (r2 + r3par))

			if outHigh > targetH-maxerr && outHigh < targetH+maxerr &&
				outLow > targetL-maxerr && outLow < targetL+maxerr {
				fmt.Printf("R1=%.2f R2=%.2f, R3=%.2f, outHigh=%f.2, outLow=%.2f\n", r1, r2, r3, outHigh, outLow)
			}
		}
	}

	fmt.Println("End")
}
